Subject: Re: linux-next: Tree for January 19 (vhost_net)

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 20 Jan 2010 12:16:44 +0200

On Tue, Jan 19, 2010 at 10:41:39AM -0800, Randy Dunlap wrote:
> On Tue, 19 Jan 2010 18:10:41 +1100 Stephen Rothwell wrote:
> 
> > Hi all,
> > 
> > Changes since 20100118:
> 
> 
> When CONFIG_TUN is not enabled:
> 
> drivers/built-in.o: In function `get_socket':
> net.c:(.text+0x2899a3): undefined reference to `tun_get_socket'
> 
> 
> so VHOST_NET can either depend on TUN or select TUN, but if it
> selects TUN, it will also need to select CRC32.
> 
> ---
> ~Randy

Oh, I fixed this already but then I lost the patch:
http://lkml.org/lkml/2009/11/10/137

Sorry about that, I'll repost the fix immediately.

-- 
MST